## r-cran-multicool 0.1

=== DESCRIPTION ===
Package: multicool
Type: Package
Title: Permutations of Multisets in Cool-Lex Order
Version: 0.1-12
Date: 2021-06-28
Author: James Curran, Aaron Williams, Jerome Kelleher, Dave Barber
Maintainer: James Curran <j.curran@auckland.ac.nz>
Description: A set of tools to permute multisets without loops or hash tables and to generate integer partitions. The permutation functions are based on C code from Aaron Williams. Cool-lex order is similar to colexicographical order. The algorithm is described in Williams, A. Loopless Generation of Multiset Permutations by Prefix Shifts. SODA 2009, Symposium on Discrete Algorithms, New York, United States. The permutation code is distributed without restrictions. The code for stable and efficient computation of multinomial coefficients comes from Dave Barber. The code can be download from <http://tamivox.org/dave/multinomial/index.html> and is distributed without conditions. The package also generates the integer partitions of a positive, non-zero integer n. The C++ code for this is based on Python code from Jerome Kelleher which can be found here <https://jeromekelleher.net/category/combinatorics.html>. The C++ code and Python code are distributed without conditions.
Encoding: UTF-8
License: GPL-2
Depends: methods, Rcpp (>= 0.11.2)
LinkingTo: Rcpp
SystemRequirements: C++11
RcppModules: Multicool
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-06-29 02:24:17 UTC; jcur002
Repository: CRAN
Date/Publication: 2021-06-29 04:50:01 UTC

## r-cran-multicool 0.1-11

=== debian/changelog ===
r-cran-multicool (0.1-11-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:29 +0100

r-cran-multicool (0.1-11-2) unstable; urgency=medium

  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 10:53:39 +0100

r-cran-multicool (0.1-11-1) unstable; urgency=medium

  * Initial release (closes: #948830)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 21:23:10 +0100

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/multicool_([-\d.]*)\.tar\.gz

## r-cran-multicool 0.1-12

=== debian/changelog ===
r-cran-multicool (0.1-12-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 16:00:34 +0200

=== debian/control ===
Source: r-cran-multicool
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-multicool
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-multicool.git
Homepage: https://cran.r-project.org/package=multicool
Rules-Requires-Root: no

Package: r-cran-multicool
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R permutations of multisets in Cool-Lex order
 A set of tools to permute multisets without loops or hash tables and to
 generate integer partitions. The permutation functions are based on C
 code from Aaron Williams. Cool-lex order is similar to colexicographical
 order. The algorithm is described in Williams, A. Loopless Generation of
 Multiset Permutations by Prefix Shifts. SODA 2009, Symposium on Discrete
 Algorithms, New York, United States. The permutation code is distributed
 without restrictions. The code for stable and efficient computation of
 multinomial coefficients comes from Dave Barber. The code can be
 download from <http://tamivox.org/dave/multinomial/index.html> and is
 distributed without conditions. The package also generates the integer
 partitions of a positive, non-zero integer n. The C++ code for this is
 based on Python code from Jerome Kelleher which can be found here
 <http://jeromekelleher.net/category/combinatorics.html>. The C++ code
 and Python code are distributed without conditions.

## r-cran-multicool 1.0.1

=== DESCRIPTION ===
Package: multicool
Type: Package
Title: Permutations of Multisets in Cool-Lex Order
Version: 1.0.1
Date: 2024-02-05
Author: James Curran, Aaron Williams, Jerome Kelleher, Dave Barber
Maintainer: James Curran <j.curran@auckland.ac.nz>
Description: A set of tools to permute multisets without loops or hash tables and to generate integer partitions. The permutation functions are based on C code from Aaron Williams. Cool-lex order is similar to colexicographical order. The algorithm is described in Williams, A. Loopless Generation of Multiset Permutations by Prefix Shifts. SODA 2009, Symposium on Discrete Algorithms, New York, United States. The permutation code is distributed without restrictions. The code for stable and efficient computation of multinomial coefficients comes from Dave Barber. The code can be download from <http://tamivox.org/dave/multinomial/index.html> and is distributed without conditions. The package also generates the integer partitions of a positive, non-zero integer n. The C++ code for this is based on Python code from Jerome Kelleher which can be found here <https://jeromekelleher.net/category/combinatorics.html>. The C++ code and Python code are distributed without conditions.
URL: https://github.com/jmcurran/multicool
BugReports: https://github.com/jmcurran/multicool/issues
Encoding: UTF-8
License: GPL-2
Depends: methods, Rcpp (>= 0.11.2)
LinkingTo: Rcpp
RcppModules: Multicool
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2024-02-05 01:22:16 UTC; james
Repository: CRAN
Date/Publication: 2024-02-05 12:20:06 UTC

=== debian/changelog ===
r-cran-multicool (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Add upstream metadata

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 15:07:21 +0100

r-cran-multicool (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 22:41:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-multicool
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-multicool.git
 Homepage: https://cran.r-project.org/package=multicool
